跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
agentmail
/
lists
/
{direction}
/
{type}
创建列表条目
curl --request POST \
  --url https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entry": "<string>",
  "reason": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type}"

payload = {
"entry": "<string>",
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entry: '<string>', reason: '<string>'})
};

fetch('https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "entry": "<string>",
  "organization_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "reason": "<string>",
  "read_only": true
}
{
"name": "<string>",
"errors": "<unknown>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求头

Authorization
string
必填

Bearer 身份验证

路径参数

direction
enum<string>
必填

列表条目的方向。

可用选项:
send,
receive,
reply
type
enum<string>
必填

列表条目的类型。

可用选项:
allow,
block

请求体

application/json
entry
string
必填

要添加的电子邮件地址或域名。

reason
string

添加该条目的原因。

响应

状态码为 200 的响应

entry
string
必填

列表条目的电子邮件地址或域名。

organization_id
string
必填

组织 ID。

direction
enum<string>
必填

列表条目的方向。

可用选项:
send,
receive,
reply
list_type
enum<string>
必填

列表条目的类型。

可用选项:
allow,
block
entry_type
enum<string>
必填

该条目是电子邮件地址还是域名。

可用选项:
email,
domain
created_at
string<date-time>
必填

条目创建时间。

reason
string

添加该条目的原因。

read_only
boolean

该条目是否为只读且无法通过 API 删除。